ru.bitel.bgbilling.modules.softkey.common.bean

## Class SoftkeyTransaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.softkey.common.bean.SoftkeyTransaction

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class SoftkeyTransaction
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SOFTKEY_STATUS_ACTIVE`
    `static int` | `SOFTKEY_STATUS_CREATE`
    `static int` | `SOFTKEY_STATUS_PAUSED`
    `static int` | `SOFTKEY_STATUS_STOPPED`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftkeyTransaction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDt()`
    `java.lang.String` | `getKey()`
    `int` | `getOptionId()`
    `java.lang.String` | `getOptionTitle()`
    `int` | `getOrderId()`
    `java.util.Date` | `getPayDt()`
    `int` | `getStatus()`
    `static java.lang.String` | `getStatusName(int status)`
    `java.lang.String` | `getStatusTitle()`
    `java.lang.String` | `getStringDt()`
    `java.math.BigDecimal` | `getSubscribeAmount()`
    `int` | `getSubscribeCount()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDt(java.util.Date dt)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setOptionId(int optionId)`
    `void` | `setOptionTitle(java.lang.String optionTitle)`
    `void` | `setOrderId(int orderId)`
    `void` | `setPayDt(java.util.Date payDt)`
    `void` | `setStatus(int status)`
    `void` | `setStatusTitle(java.lang.String statusTitle)`
    `void` | `setStringDt(java.lang.String stringDt)`
    `void` | `setSubscribeAmount(java.math.BigDecimal subscribeAmount)`
    `void` | `setSubscribeCount(int subscribeCount)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SOFTKEY_STATUS_CREATE

          public static final int SOFTKEY_STATUS_CREATE

      See Also:
        Constant Field Values

    - #### SOFTKEY_STATUS_ACTIVE

          public static final int SOFTKEY_STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### SOFTKEY_STATUS_PAUSED

          public static final int SOFTKEY_STATUS_PAUSED

      See Also:
        Constant Field Values

    - #### SOFTKEY_STATUS_STOPPED

          public static final int SOFTKEY_STATUS_STOPPED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoftkeyTransaction

          public SoftkeyTransaction()

  - ### Method Detail

    - #### getOrderId

          public int getOrderId()

    - #### setOrderId

          public void setOrderId(int orderId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getDt

          public java.util.Date getDt()

    - #### setDt

          public void setDt(java.util.Date dt)

    - #### getPayDt

          public java.util.Date getPayDt()

    - #### setPayDt

          public void setPayDt(java.util.Date payDt)

    - #### getStringDt

          public java.lang.String getStringDt()

    - #### setStringDt

          public void setStringDt(java.lang.String stringDt)

    - #### getOptionId

          public int getOptionId()

    - #### setOptionId

          public void setOptionId(int optionId)

    - #### getOptionTitle

          public java.lang.String getOptionTitle()

    - #### setOptionTitle

          public void setOptionTitle(java.lang.String optionTitle)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getStatusTitle

          public java.lang.String getStatusTitle()

    - #### setStatusTitle

          public void setStatusTitle(java.lang.String statusTitle)

    - #### getSubscribeCount

          public int getSubscribeCount()

    - #### setSubscribeCount

          public void setSubscribeCount(int subscribeCount)

    - #### getSubscribeAmount

          public java.math.BigDecimal getSubscribeAmount()

    - #### setSubscribeAmount

          public void setSubscribeAmount(java.math.BigDecimal subscribeAmount)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getStatusName

          public static java.lang.String getStatusName(int status)